# Description

The constructor of dimer molecule. The dimer fragments can either be covalently linked or not. The active subspaces should be well separated.

# Keywords

## Common keywords

`dimerize`

Description: Set `title` to `dimerize` to start constructing dimer.

`form`

Description: Whether the dimer fragments are covalently linked.
Datatype: string
Value:
`linked`: covalently linked dimer
`displace`: separated fragments
Default: displace

`dimer_active`

Description:
for non-covalently linked dimer: specify monomer active orbitals,
for covalently linked dimer: specify dimer active orbitals.
Datatype: set<int>

`hf`

Description: Dimer restricted Hartree-Fock calculation options.
Default: use the same options as monomer Hartree–Fock calculations

`localization`

Description: Localize dimer molecular orbitals.
Default: use default Orbital localization

`active_thresh`

Description: Threshold overlap for obitals to be treated as active.
Datatype: double
Default: 0.5

## Keywords for non-covalently linked dimer

`translate`

Description: Spatial distance in Cartesian coordinates, duplicate and translate one monomer to form the dimer.
Datatype: array<double, 3>

`angstrom`

Description: Whether the translation is in a.u. or angstrom.
Datatype: bool
Default: false

`scheme`

Description: Options to assign dimer active orbitals.
Datatype: string
Values:
`active_first`: pick active space from dimer orbitals first, then attempt to localize
`localize_first`: localize dimer orbitals, then pick the active space within each fragment
Default: active_first

## Keywords for covalently linked dimer

`region_sizes`

Description: Number of atoms in three regions [left, bridge, right].
Datatype: vector<int>

# Prerequisite

Hartree–Fock calculations are needed to obtain fragment molecular orbitals.